{inputs, ...}: let
  dom = "min.rip"; # TODO: hardcoding
in {
  services.nginx.virtualHosts.${dom} = {
    root = "${inputs.min-rip}";
    forceSSL = true;
    enableACME = true;

    quic = true;

    locations."/" = {
      tryFiles = "$uri $uri/ =404";
      extraConfig = ''
        add_header Cache-Control "max-age=15552000, must-revalidate";
      '';
    };

    locations."/robots.txt" = {
      priority = 10000;
      return = ''200 "User-Agent: ia_archiver\nDisallow: /"'';
      extraConfig = ''
        add_header Content-Type text/plain;
      '';
    };
  };
}
